# Chimoney Object ✌

```javascript
{
     valueInUSD, // amount to send
     email, // Required if twitter is not provided. 
     twitter, // Required if email is not provided. Uses email if it is also provided
     enabledToRedeem, // A array of assets enabled for this transaction. Optional. 
}
```

<mark style="color:purple;">**enabledToRedeem array**</mark>

An array of supported assets to be redeemed. Useful for:

* restricting what receivers can get with their Chimoney
* linking a transaction to a particular asset in the instance that you want the receivers to redeem the linked asset

Get a list of supported assets using the [<mark style="color:purple;">/info/assets</mark>](https://documenter.getpostman.com/view/1163691/Tz5qacnt#c94a3c62-01bc-4cff-a83f-1c6093e9b6ea) endpoint.

#### <mark style="color:purple;">Sub accounts</mark>

A parent account can have one more more sub accounts.

Sub accounts can call many of the other endpoints via their parent.

To perform a transaction as a sub account, pass the \`subAccount\` id to the body of any API call and you will be perform the transaction as that account. For example:

* payout from a subaccount wallet
* check sub account balance
* etc


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://chimoney.gitbook.io/chimoney/api-docs/chimoney-object.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
